patch a team.md
Patch a Team
Management API · Teams
PATCH https://app.mk.io/api/v1/organization/teams/{team_name}
Modify a team using a JSON patch format document.
RBAC Capability Required: core.team.update
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
team_name |
string | Yes | — |
Request body
Content type: application/json
- Array items (object):
op· enum · Required — Operation- Allowed values:
add,remove,replace,stringReplace,numberReplace
- Allowed values:
path· string · Required — Pathsearch· string · Optional — Search string for 'stringReplace' and 'numberReplace' operations. 'numberReplace' replaces with JSON number type but only when the search string matches the entire value. I.e "audio_pid" would be replaced with 50, not "50".value· any · Optional — Value
Example request
curl -X PATCH "https://app.mk.io/api/v1/organization/teams/{team_name}" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '[
{
"op": "add",
"path": "/spec/members/{user_id}",
"value": {
"isTeamAdmin": false
}
}
]'
Responses
200 — Updated
kind· string · Optional — The kind of record.metadata· object · Required — Team metadata.id· string · Required · format: uuid — The ID of the resourcename· string · Optional — The name of the resource
spec· object · Required — Team specification.description· string · Optional · 0-256 characters — A description of the team.members· map from strings to object · Optional — The list of members.[any key]· object — map of additional propertiesemail· string · Required — The email address of the team memberisTeamAdmin· boolean · Required — Does this user have the ability to edit this teamname· string · Required — The name of the team member
scopes· map from strings to object · Optional — The set of scopes this team has access to, and the roles on each.[any key]· object — map of additional propertiesroles· list of strings · Required — The names of the roles.- Array items (string):
Example:
{
"kind": "string",
"metadata": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"spec": {
"description": "string",
"members": {
"user-id": {
"isTeamAdmin": true
}
},
"scopes": {
"scopeName": {
"roles": [
"roleName",
"roleName2"
]
}
}
}
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}